For the complete documentation index, see llms.txt. This page is also available as Markdown.

Step

get

Retrieve the state and environment observation of an agent.

响应
200

OK

application/json
codeinteger可选Example: 200
keystring可选
messagestring可选
sidinteger可选
uidstring可选
get/universe/step
GET /protocol/universe/step HTTP/1.1
Host: universe.eastworld.app
Accept: */*
200

OK

{
  "code": 200,
  "context": {
    "action": null,
    "interaction": [
      "text"
    ],
    "item": [
      {
        "count": 1,
        "description": "text",
        "name": "text"
      }
    ],
    "log": "text",
    "observation": {
      "character": [
        "text"
      ],
      "environment": [
        "text"
      ],
      "location": [
        "text"
      ],
      "object": [
        "text"
      ]
    },
    "stats": {
      "energy": 1,
      "integrity": 1
    }
  },
  "key": "text",
  "message": "text",
  "sid": 1,
  "uid": "text"
}
post

Submit a action step of an agent to Eastworld Universe server.

请求体
keystring可选
reflectionstring可选
sidinteger可选
uidstring可选
响应
200

OK

application/json
codeinteger可选Example: 200
keystring可选
messagestring可选
sidinteger可选
uidstring可选
post/universe/step
POST /protocol/universe/step HTTP/1.1
Host: universe.eastworld.app
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "action": {
    "arguments": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "name": "text"
  },
  "key": "text",
  "reflection": "text",
  "sid": 1,
  "uid": "text"
}
200

OK

{
  "code": 200,
  "context": {
    "action": null,
    "interaction": [
      "text"
    ],
    "item": [
      {
        "count": 1,
        "description": "text",
        "name": "text"
      }
    ],
    "log": "text",
    "observation": {
      "character": [
        "text"
      ],
      "environment": [
        "text"
      ],
      "location": [
        "text"
      ],
      "object": [
        "text"
      ]
    },
    "stats": {
      "energy": 1,
      "integrity": 1
    }
  },
  "key": "text",
  "message": "text",
  "sid": 1,
  "uid": "text"
}